commit:     d1614f05077ba25d4774b0b4c45d0de027ba6031
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 15 07:10:04 2017 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sat Dec 16 10:52:56 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1614f05

dev-perl/Net-RBLClient: EAPI6 + tests

- EAPI6ify
- Enable tests
- Add basic compile test

Package-Manager: Portage-2.3.18, Repoman-2.3.6

 .../Net-RBLClient/Net-RBLClient-0.500.0-r2.ebuild  | 41 ++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/dev-perl/Net-RBLClient/Net-RBLClient-0.500.0-r2.ebuild 
b/dev-perl/Net-RBLClient/Net-RBLClient-0.500.0-r2.ebuild
new file mode 100644
index 00000000000..e2a1ebaa019
--- /dev/null
+++ b/dev-perl/Net-RBLClient/Net-RBLClient-0.500.0-r2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=ABLUM
+DIST_VERSION=0.5
+inherit perl-module
+
+DESCRIPTION="Queries multiple Realtime Blackhole Lists in parallel"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="virtual/perl-Time-HiRes
+       dev-perl/Net-DNS"
+
+S=${WORKDIR}/RBLCLient-${DIST_VERSION} # second capitialized 'l' is deliberate
+
+src_test() {
+       local MODULES=(
+               "Net::RBLClient 0.4"
+       )
+       local failed=()
+       for dep in "${MODULES[@]}"; do
+               ebegin "Compile testing ${dep}"
+                       perl -Mblib="${S}" -M"${dep} ()" -e1
+               eend $? || failed+=( "$dep" )
+       done
+       if [[ ${failed[@]} ]]; then
+               echo
+               eerror "One or more modules failed compile:";
+               for dep in "${failed[@]}"; do
+                       eerror "  ${dep}"
+               done
+               die "Failing due to module compilation errors";
+       fi
+       perl-module_src_test
+}

Reply via email to